View Issue Details

IDProjectCategoryView StatusLast Update
0006932Talermechant backendpublic2021-09-02 14:12
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8.5Fixed in Version0.8.5 
Summary0006932: merchant needs integration test for POST /private/orders with UUIDs
DescriptionWe never test this code anywhere ...

Test should be either in the merchant or in the wallet.
TagsNo tags attached.

Activities

Christian Grothoff

2021-09-02 14:12

manager   ~0018160

Fixed in 98d9dfb..4b8dc55.
Note that this changed the implementation a bit, as it differed from the API specification. So right now, we are finally spec-compilant and the UUIDs are just arbitrary strings in the protocol --- and the lock_uuids[] is just an array of strings.

Issue History

Date Modified Username Field Change
2021-07-22 13:09 Florian Dold New Issue
2021-07-22 13:09 Florian Dold Status new => assigned
2021-07-22 13:09 Florian Dold Assigned To => Christian Grothoff
2021-07-23 14:23 Christian Grothoff Assigned To Christian Grothoff =>
2021-07-23 14:23 Christian Grothoff Status assigned => confirmed
2021-08-24 20:39 Christian Grothoff Target Version => 0.8.5
2021-08-24 20:40 Christian Grothoff Assigned To => Christian Grothoff
2021-08-24 20:40 Christian Grothoff Status confirmed => assigned
2021-08-25 17:28 Christian Grothoff Severity minor => tweak
2021-09-02 14:12 Christian Grothoff Status assigned => resolved
2021-09-02 14:12 Christian Grothoff Resolution open => fixed
2021-09-02 14:12 Christian Grothoff Fixed in Version => 0.8.5
2021-09-02 14:12 Christian Grothoff Note Added: 0018160